UCS C-Series CIMC 1.5(1b) 使用時に、Launch KVM Console に失敗

ドキュメント

2013/04/16 - 01:17
3月 11th, 2013
User Badges:
  • Silver, 250 points or more

CIMC を 1.5(1b) にアップグレードいただいた後、"Launch KVM Console" をクリックいただいても KVM Console が立ち上がらない場合があります。Java Console を有効にしていただいた際には、以下のエラーが出力されます。


=======

java.lang.NullPointerException
    at java.util.Properties$LineReader.readLine(Unknown Source)
    at java.util.Properties.load0(Unknown Source)
    at java.util.Properties.load(Unknown Source)
    at com.avocent.app.kvm.macros.MacroKeyStrokeMap.init(Unknown Source)
    at com.avocent.app.kvm.macros.MacroKeyStrokeMap.init(Unknown Source)
    at com.avocent.app.kvm.macros.MacroHotkeyManager.initCustom(Unknown Source)
    at com.avocent.app.kvm.macros.MacroHotkeyManager.<init>(Unknown Source)
    at com.avocent.app.kvm.DefaultViewerMainController.initialize(Unknown Source)
    at com.avocent.nuova.kvm.NuovaViewerMainController.initialize(Unknown Source)
    at com.avocent.nuova.kvm.Main.runApp(Unknown Source)
    at com.avocent.nuova.kvm.Main.main(Unknown Source)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at com.sun.javaws.Launcher.executeApplication(Unknown Source)
    at com.sun.javaws.Launcher.executeMainClass(Unknown Source)
    at com.sun.javaws.Launcher.doLaunchApp(Unknown Source)
    at com.sun.javaws.Launcher.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
=======

この問題は CSCuf04523 として登録されており、CIMC を立ち上げている PC 上の OS の Locale が "en" 以外の場合に発生する問題であることが解っております。


OS の Locale が "en" である場合は発生致しません。


現在のところ英語版の OS をご使用いただいていない限りは回避策がございませんので、日本語版の OS をご使用いただいておりましたら、英語版の言語パッケージをインストールいただいたりシステム Local を "en" して下さい。


なお、一旦本件の問題に該当した後に CIMC を 1.4 台にダウングレードした際にも事象が改善しない場合がありますが、これは Java の一時ファイル及びキャッシュが 1.5(1b) の際のものを保持したままであることに起因しておりますので、Java Control Panel にて一時ファイルやキャッシュをクリアーしていただけます様お願い致します。


CIMC を 1.5(1f)  以降にアップグレードいただくと事象は解決致します。

Loading.